Welcome! Log In Create A New Profile

Advanced

Debian Squeeze installer broken?

Posted by nix-7 
nix-7
Debian Squeeze installer broken?
March 21, 2011 02:27PM
Script goes through partition formating then report thus:

----------------
Connecting to cdn.debian.net (128.30.2.36:80)
wget: server returned error: HTTP/1.1 404 Not Found
ar: can't open 'debootstrap.deb': No such file or directory
tar: can't open 'data.tar.gz': No such file or directory
mv: cannot rename './usr/sbin/debootstrap': No such file or directory
mv: cannot rename './usr/share/debootstrap': No such file or directory
# checking for /usr/share/debootstrap/pkgdetails...

# Installing /usr/share/debootstrap/pkgdetails...
Connecting to jeff.doozan.com (69.163.187.226:80)
wget: can't open '/usr/share/debootstrap/pkgdetails.md5': No such file or directory
Connecting to jeff.doozan.com (69.163.187.226:80)
wget: can't open '/usr/share/debootstrap/pkgdetails.md5': No such file or directory
## Could not install /usr/share/debootstrap/pkgdetails from http://jeff.doozan.com/debian/pkgdetails, exiting.
nix-7
Re: Debian Squeeze installer broken?
March 21, 2011 03:28PM
Found the debootstrap.deb file to be written for v1.0.26
Changed to 1.0.28 and now installing .... =)
m
Re: Debian Squeeze installer broken?
April 12, 2011 08:37PM
Yes, and now it's v1.0.2.29!



nix-7 Wrote:
-------------------------------------------------------
> Script goes through partition formating then
> report thus:
>
> ----------------
> Connecting to cdn.debian.net (128.30.2.36:80)
> wget: server returned error: HTTP/1.1 404 Not
> Found
> ar: can't open 'debootstrap.deb': No such file or
> directory
> tar: can't open 'data.tar.gz': No such file or
> directory
> mv: cannot rename './usr/sbin/debootstrap': No
> such file or directory
> mv: cannot rename './usr/share/debootstrap': No
> such file or directory
> # checking for
> /usr/share/debootstrap/pkgdetails...
>
> # Installing /usr/share/debootstrap/pkgdetails...
> Connecting to jeff.doozan.com (69.163.187.226:80)
> wget: can't open
> '/usr/share/debootstrap/pkgdetails.md5': No such
> file or directory
> Connecting to jeff.doozan.com (69.163.187.226:80)
> wget: can't open
> '/usr/share/debootstrap/pkgdetails.md5': No such
> file or directory
> ## Could not install
> /usr/share/debootstrap/pkgdetails from
> http://jeff.doozan.com/debian/pkgdetails, exiting.
Bill
Re: Debian Squeeze installer broken?
April 14, 2011 11:30AM
I just had the same problem.
The 1.0.28 version is no longer there

You need to change line 39 to URL_DEBOOTSTRAP="$DEB_MIRROR/pool/main/d/debootstrap/debootstrap_1.0.29_all.deb"
Bill
Re: Debian Squeeze installer broken?
April 14, 2011 12:06PM
Bill Wrote:
-------------------------------------------------------
> I just had the same problem.
> The 1.0.28 version is no longer there
>
> You need to change line 39 to
> URL_DEBOOTSTRAP="$DEB_MIRROR/pool/main/d/debootstr
> ap/debootstrap_1.0.29_all.deb"

Never mind. This made the above error go away but now when bootstrap tries to download any of the deb files it says something line .deb was corrupt.
W: Couldn't download package
Re: Debian Squeeze installer broken?
April 14, 2011 07:33PM
Using gorgone's script can install Debian Squeeze without problem. It is as simple as Jeff's script, but there is no problem as mentioned by many people here. It is much faster than the other ways recommended in another thread: installing lenny and upgrading to squeeze (only about 25 min.). Here is the link:

The commands to install squeeze (from the link below) are:

cd /tmp
wget http://ss4200.homelinux.com/dockstar/gogo-dock.sh
chmod 777 gogo-dock.sh
./gogo-dock.sh

Thanks a lot, gorgone.

http://forum.doozan.com/read.php?2,582
Martin
Re: Debian Squeeze installer broken?
April 16, 2011 06:42AM
I also experience this problem. Somehow debootstrap fails to validate the packages it has downloaded.

Here is the end of the output debootstrap produces:

...
I: Retrieving wget
I: Validating wget
W: http://cdn.debian.net/debian/pool/main/w/wget/wget_1.12-2.1_armel.deb was corrupt
W: Couldn't download package wget
I: Retrieving xz-utils
I: Validating xz-utils
W: http://cdn.debian.net/debian/pool/main/x/xz-utils/xz-utils_5.0.0-2_armel.deb was corrupt
W: Couldn't download package xz-utils
I: Retrieving zlib1g
I: Validating zlib1g
W: http://cdn.debian.net/debian/pool/main/z/zlib/zlib1g_1.2.3.4.dfsg-3_armel.deb was corrupt
W: Couldn't download package zlib1g
I: Chosen extractor for .deb packages: ar
W: Failure trying to run: chroot /tmp/debian mount -t proc proc /proc
debootstrap failed.
See /tmp/debian/debootstrap/debootstrap.log for more information.
Pogoplug:/tmp$

Validation fails on every package. I tried the exact same deboostrap command line on my desktop and it works successful. So i guess the problem might be caused by the dockstar environment. I also made sure that the md5sums of the packages downloaded on the dockstar and my desktop match which they do.

The end of /tmp/debian/debootstrap/debootstrap.log:

...
Connecting to cdn.debian.net (195.71.68.86:80)                                                                
^Mxz-utils_5.0.0-2_arm   0% |                               |     0  --:--:-- ETA^Mxz-utils_5.0.0-2_arm 100% |
Connecting to cdn.debian.net (195.71.68.86:80)                                                                
^Mzlib1g_1%3a1.2.3.4.d   0% |                               |     0  --:--:-- ETA^Mzlib1g_1%3a1.2.3.4.d 100% |
ar: short read                                                                                                
zcat: short read                                                                                              
chroot: cannot execute mount: No such file or directory
Martin
Re: Debian Squeeze installer broken?
April 16, 2011 07:07AM
This thread is a duplicate of a much more helpful thread: http://forum.doozan.com/read.php?2,4323,4449#msg-4449
Re: Debian Squeeze installer broken?
April 17, 2011 08:15AM
davidnewton Wrote:
-------------------------------------------------------
> Using gorgone's script can install Debian Squeeze
> without problem. It is as simple as Jeff's script,
> but there is no problem as mentioned by many
> people here. It is much faster than the other ways
> recommended in another thread: installing lenny
> and upgrading to squeeze (only about 25 min.).

Though I might not get a chance to try it myself, I would agree that running a script that 'just works' is better than fiddling with an existing one that is broken (as I did). Perhaps Jeff can endorse the 'gorgone' script and update his tutorial to mention it instead?
Re: Debian Squeeze installer broken?
April 17, 2011 10:06AM
Well I figured it out!
When Jeff was publishing his script, debootstrap was in v1.0.26, now it's v1.0.29 which seems to conflict with the pkgdetails the script pulls from Jeff's server.
I've read solutions in these forums to modify the return-values of functions in the script as a quick and dirty way. That's not what I wanted to do...

The thing I did was to grab my first dockstar installed with debootstrap 1.0.26 and dump the needed files into a tarball. Then I modified the script to pull this tarball and install it on the nand into pogoplug. Now I am able to install squeeze without any errors!
Download my script from here:
wget http://dev.shyd.de/dockstar/dockstar.debian-squeeze.sh

In case you already tried installing debian with another version debootstrap like 1.0.29 you need to remove these files first! (If you got 404 from Jeff's script, no files have been copied you need to delete)
mount -o remount,rw /
rm /usr/sbin/debootstrap
rm -r /usr/share/debootstrap
mount -o remount,ro /

--
shyd

Goflex Net 3.9.5 | Dockstar 3.9.5 | http://dev.shyd.de
Re: Debian Squeeze installer broken?
April 17, 2011 01:08PM
shyd, thanks for doing this for the community.

Wonder what happened to Jeff recently...
Re: Debian Squeeze installer broken?
June 15, 2011 10:14AM
Thanks shyd! You just helped a ton.

I was having issues installing anything because I somehow managed to bork my debootstrap trying the other methods to get debian installed on a new dockstar. I didn't know what to do and was just going to try to reflash the original system through serial rs232. Set up to do it and thought I would check the forums and saw your post, saved me a bunch of hassle.
Re: Debian Squeeze installer broken?
July 27, 2011 05:20PM
I would like to join in the praise, but unfortunately I get a keyring/validation problem with all variants I tried (starting with Gorgonne, which used to work just fine for a long time and certainly until last week)

Help would be greatly appreciated if anyone knows how to get around the "xyz_armel.deb was corrupt" messages and subsequent failure to install.
Frugal
Re: Debian Squeeze installer broken?
July 27, 2011 10:17PM
Did you try shyd's solution 3 posts up? It just worked for me.

Mike
Re: Debian Squeeze installer broken?
August 01, 2011 03:42PM
Quote
shyd
Download my script from here:

wget http://dev.shyd.de/dockstar/dockstar.debian-squeeze.sh

That's what i did to instal debian on my pogoplug but after a few minutes here's the error i got.

Quote
Putty
...
I: Retrieving zlib1g
I: Validating zlib1g
I: Chosen extractor for .deb packages: ar
I: Extracting libacl1...
E: Unknown compression type for in .//var/cache/apt/archives/libacl1_2.2.49-4_armel.deb
debootstrap failed.
See /tmp/debian/debootstrap/debootstrap.log for more information.

Quote
debootstrap.log
...
Connecting to http://ftp.de.debian.org (141.76.2.4:80)
Connecting to http://ftp.de.debian.org (141.76.2.4:80)
/usr/sbin/debootstrap: line 589: ar: not found

One more information : here's how I partitioned my usb :

Quote

Disk /dev/sda: 16.0 GB, 16005464064 bytes
74 heads, 10 sectors/track, 42244 cylinders
Units = cylinders of 740 * 512 = 378880 bytes

Device Boot Start End Blocks Id System
/dev/sda1 * 1 4200 1553995 83 Linux
/dev/sda2 4201 8402 1554740 82 Linux swap

What's wrong ?
Is it another version problem ?

Thanks in advance for any help.
Re: Debian Squeeze installer broken?
August 06, 2011 12:15PM
@Lilipuce:

Just coming from your entry on my blog.
I currently don't have my 2nd dockstar with me, I can test the whole thing in some days. Once I did, I will try to help you!

--
shyd

Goflex Net 3.9.5 | Dockstar 3.9.5 | http://dev.shyd.de
Re: Debian Squeeze installer broken?
August 12, 2011 05:38AM
I just wanted to test the whole thing, but I can't boot into pogoplug cause of nand-read problems. I have to fix this first.
Let's see when I get this done.

--
shyd

Goflex Net 3.9.5 | Dockstar 3.9.5 | http://dev.shyd.de
Re: Debian Squeeze installer broken?
August 22, 2011 02:12PM
Looking forward to a resolution on this too. I'm unable to get debian installed on my new pogoplug, stuck in the same place "chessplayer" was, apparently.

Edit: okay, went the lenny + upgrade route, am okay now. But I do hope the main page gets updated with either a working squeeze install, or with the updated info that lenny is the way to do it. For the sake of the noobs like me.



Edited 1 time(s). Last edit at 08/22/2011 04:01PM by Stovey.
Re: Debian Squeeze installer broken?
August 24, 2011 10:28AM
the Squeeze installer script is not working.

Shyd's script spits a similar error:

"
# Starting debootstrap installation
I: Retrieving Release
W: Cannot check Release signature; keyring file not available /usr/share/keyrings/debian-archive-keyring.gpg
I: Retrieving Packages
I: Validating Packages
I: Resolving dependencies of required packages...
I: Resolving dependencies of base packages...
I: Found additional required dependencies: insserv libbz2-1.0 libdb4.8 libslang2
I: Found additional base dependencies: adduser cpio debian-archive-keyring devio gnupg gpgv initramfs-tools klibc-utils libbsd0 libcap2 libedit2 libgssapi-krb5-2 libk5crypto3 libkeyutils1 libklibc libkrb5-3 libkrb5support0 libncursesw5 libreadline6 libssl0.9.8 libudev0 libusb-0.1-4 libuuid-perl libwrap0 linux-base linux-image-2.6.32-5-kirkwood openssh-blacklist openssh-client procps readline-common vim-common
I: Checking component main on http://ftp.de.debian.org/debian...
I: Retrieving libacl1
I: Validating libacl1
W: http://ftp.de.debian.org/debian/pool/main/a/acl/libacl1_2.2.49-4_armel.deb was corrupt
W: Couldn't download package libacl1 (ver 2.2.49-4 arc armel)
I: Retrieving adduser
I: Validating adduser
W: http://ftp.de.debian.org/debian/pool/main/a/adduser/adduser_3.112+nmu2_all.deb was corrupt
W: Couldn't download package adduser (ver 3.112+nmu2 arc all)
I: Retrieving apt
"
what do I need to change to get it work?
Re: Debian Squeeze installer broken?
August 25, 2011 11:26AM
Not sure if you folks are having the same problem as I did with 'corrupt' files, but my own solution worked for me and some others in a totally different thread that you may have missed seeing...

Thread

My solution
Re: Debian Squeeze installer broken?
August 25, 2011 05:23PM
I was happy doing this I had found elsewhere here at the forum:

wget -O debootstrap.deb http://btr0x2.rz.uni-bayreuth.de/debian/pool/main/d/debootstrap/debootstrap_1.0.26+squeeze1_all.deb
ar xv debootstrap.deb 
tar -xzvf data.tar.gz
mv ./usr/sbin/debootstrap /usr/sbin 
mv ./usr/share/debootstrap /usr/share
/usr/sbin/debootstrap --verbose --arch=armel --variant=minbase --include=flash-kernel,module-init-tools,udev,netbase,ifupdown,iproute,openssh-server,dhcpcd,iputils-ping,wget,net-tools,ntpdate,uboot-mkimage,uboot-envtools,vim-tiny,mc squeeze /tmp/debian http://cdn.debian.net/debian

This _only_ debootstraps debian squeeze and nothing else to the usb-stick mountet at /tmp/debian.
laurentide
Re: Debian Squeeze installer broken?
September 07, 2011 05:38PM
Thank you!
smitje2000
Re: Debian Squeeze installer broken?
September 21, 2011 04:39AM
shyd's script worked fine for.

thanks for sharing
Re: Debian Squeeze installer broken?
October 01, 2011 08:19AM
hi,
i'm trying to install debian sqeeze
and i always obtains this error
W: Failure trying to run: chroot /tmp/debian dpkg --force-depends --install /var/cache/apt/archives/libc6_2.11.2-10_armel.deb
debootstrap failed.
See /tmp/debian/debootstrap/debootstrap.log for more information.

in bootstrap.log :
Setting up dpkg (1.15.8.11) ...
Selecting previously deselected package libc6.
(Reading database ... 349 files and directories currently installed.)
Unpacking libc6 (from .../libc6_2.11.2-10_armel.deb) ...
[: 392: Illegal number: 3.0-ARCH
/var/lib/dpkg/tmp.ci/preinst: 392: arithmetic expression: expecting EOF: "3.0-ARCH"
dpkg: error processing /var/cache/apt/archives/libc6_2.11.2-10_armel.deb (--inst
all):
subprocess new pre-installation script returned error exit status 2
Errors were encountered while processing:
/var/cache/apt/archives/libc6_2.11.2-10_armel.deb

It seems taht the name in the new kernel is the pb
I've tried the solutions in this thread but i alwas obtain the same error

i'm newbee on debian is there anyone that can help ???

i continue searching on the web but as far i dont find solutions to solve this

thanks
Re: Debian Squeeze installer broken?
October 02, 2011 12:26AM
shyd's script worked for me as well, on a POGOEO2 pink unit. I doublechecked that it was indeed Kirkwood (not OXNAS) before proceding.

The only quirk that I saw... I had to format the flashdrive to ext3 and use mkfs.ext3, and also use mkswap for the swap partition. Otherwise it was exactly as JeffDoozan's directions say...

I now have motion, digitemp, rrdtool and lighttpd running... I'm moving my 1-wire weather station from an Asus WL520GU to my Debianized Pogoplug.

My next challenge will be finding a way to weatherize it, against cold and humidity.



Edited 1 time(s). Last edit at 11/16/2011 08:21PM by davygravy.
Re: Debian Squeeze installer broken?
October 02, 2011 03:27PM
Hello,

you're right man it's a kernel problem !
i was installing from arch linux with kernel 3.0-arch (i think i ve make a pacman update as mentionnened on arch linux wiki)
after reading on the web it seems that debootstap failed with this new number (on severals distrib)
So i make a new usb key from arch linux (lastest.tgz) and extract to an usb key.
After i do not upgrade the distrib and rerun Jeff Script (i ' ve found a solution to have my boot key on sdb1) and install on sda1 for debian
(will document it on other post).

But for now another pb: i cant boot for debian (i have a working netconsole) but just after "starting kernel" no kernel msg came
to the console ( i have 2 one for ubot, one for kmsg)
my goflex home light off green ... and nothing.
Archlinux boot well and give me kmsg, i 've also put the debian install on a "good" usb key. but same problem.
I continue reading forum, but i anyone can help it would be very appreciate
thanks
ewookie
Re: Debian Squeeze installer broken?
October 18, 2011 11:52PM
I had the corrupt packages issue with jeff's script. then i tried shyd's script. still was getting corrupt package issue. then i did what shyd said (below), tried his script again and it WORKED!!!! :)

shyd Wrote:
> In case you already tried installing debian with
> another version debootstrap like 1.0.29 you need
> to remove these files first! (If you got 404 from
> Jeff's script, no files have been copied you need
> to delete)
>
> mount -o remount,rw /
> rm /usr/sbin/debootstrap
> rm -r /usr/share/debootstrap
> mount -o remount,ro /
>
Re: Debian Squeeze installer broken?
October 19, 2011 07:16PM
I've installed Debian on a Dockstar and a Pogo now ... both work great.

Thanks for the foundation, Jeff, shyd & all.

=====================================================


Re: Debian Squeeze installer broken?
October 27, 2011 01:19PM
Hi Shyd, Hi all,
I ran this script on my pogo..
http://dev.shyd.de/dockstar/dockstar.debian-squeeze.sh

Now emdebian runs on my pogo with USB root filesystem, great!

But I would like to install it permenantly on nand;
Can I just format the nand in ubifs (or something else?) copy the root fs from the USB??

thank you!
Re: Debian Squeeze installer broken?
May 08, 2012 09:56AM
Now, I found the problem when I started from scratch and tried install Debian Squeeze.

The thing is even with a new USB stick, but on a Dockstar which had Debian installed previously, the Shyd's script would spit errors as I met before. However, after I did

> mount -o remount,rw /
> rm /usr/sbin/debootstrap
> rm -r /usr/share/debootstrap
> mount -o remount,ro /

It worked. This does not make sense to me, but it worked without any problem.



tigger Wrote:
-------------------------------------------------------
> the Squeeze installer script is not working.
>
> Shyd's script spits a similar error:
>
> "
> # Starting debootstrap installation
> I: Retrieving Release
> W: Cannot check Release signature; keyring file
> not available
> /usr/share/keyrings/debian-archive-keyring.gpg
> I: Retrieving Packages
> I: Validating Packages
> I: Resolving dependencies of required packages...
> I: Resolving dependencies of base packages...
> I: Found additional required dependencies: insserv
> libbz2-1.0 libdb4.8 libslang2
> I: Found additional base dependencies: adduser
> cpio debian-archive-keyring devio gnupg gpgv
> initramfs-tools klibc-utils libbsd0 libcap2
> libedit2 libgssapi-krb5-2 libk5crypto3
> libkeyutils1 libklibc libkrb5-3 libkrb5support0
> libncursesw5 libreadline6 libssl0.9.8 libudev0
> libusb-0.1-4 libuuid-perl libwrap0 linux-base
> linux-image-2.6.32-5-kirkwood openssh-blacklist
> openssh-client procps readline-common vim-common
> I: Checking component main on
> http://ftp.de.debian.org/debian...
> I: Retrieving libacl1
> I: Validating libacl1
> W:
> http://ftp.de.debian.org/debian/pool/main/a/acl/li
> bacl1_2.2.49-4_armel.deb was corrupt
> W: Couldn't download package libacl1 (ver 2.2.49-4
> arc armel)
> I: Retrieving adduser
> I: Validating adduser
> W:
> http://ftp.de.debian.org/debian/pool/main/a/adduse
> r/adduser_3.112+nmu2_all.deb was corrupt
> W: Couldn't download package adduser (ver
> 3.112+nmu2 arc all)
> I: Retrieving apt
> "
> what do I need to change to get it work?
Author:

Your Email:


Subject:


Spam prevention:
Please, enter the code that you see below in the input field. This is for blocking bots that try to post this form automatically. If the code is hard to read, then just try to guess it right. If you enter the wrong code, a new image is created and you get another chance to enter it right.
Message: